APICompanies
List companies
List companies in the workspace. Cursor-paginated. Requires the companies:read scope.
GET
/companiescurl -X GET "https://productlane.com/api/v2/companies" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
limitintegerquerycursorstringqueryexternal_idstringqueryMatches an entry in the company's
external_idsarray.domainstringqueryMatches an entry in the company's
domainsarray.name_containsstringquerystatus_idstringquerytier_idstringquerysize_gteintegerquerysize_lteintegerqueryrevenue_gteintegerqueryrevenue_lteintegerquerycreated_afterstring<date-time>querycreated_beforestring<date-time>queryupdated_afterstring<date-time>queryupdated_beforestring<date-time>query
Response
application/json
Successful response
dataobject[]requiredpageobjectrequired
{
"data": [
{
"id": "string",
"name": "string",
"logo_url": "string",
"domains": [
"string"
],
"size": 0,
"revenue": 0,
"status_id": "string",
"status_name": "string",
"tier_id": "string",
"tier_name": "string",
"owner": {
"id": "string",
"name": "string",
"avatar_url": "string"
},
"external_ids": [
"string"
],
"integration_ids": {
"intercom": "string",
"front": "string",
"zendesk": "string",
"hubspot": "string",
"plain": "string",
"productboard": "string",
"slack_channel": "string"
},
"created_at": "string",
"updated_at": "string"
}
],
"page": {
"cursor": "string",
"has_more": true,
"limit": 0
}
}